Index: de.wigbels.ruby/hothotread/archiv/daemon_run.rb
===================================================================
--- de.wigbels.ruby/hothotread/archiv/daemon_run.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/daemon_run.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,7 @@
+#!/usr/bin/env ruby
+
+require 'rubygems'
+require 'daemons'
+
+mypath = File.expand_path(File.dirname(__FILE__))
+Daemons.run("#{mypath}/hothotpiper.rb")
Index: de.wigbels.ruby/hothotread/archiv/deploy
===================================================================
--- de.wigbels.ruby/hothotread/archiv/deploy	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/deploy	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,1 @@
+scp -P 2342 hothotread.rb root@192.168.14.7:/root/hothotread/hothotread.rb
Index: de.wigbels.ruby/hothotread/archiv/draw_graphs.sh
===================================================================
--- de.wigbels.ruby/hothotread/archiv/draw_graphs.sh	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/draw_graphs.sh	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,57 @@
+#!/bin/bash 
+#DEF:temps9=../hotcoldrain/weather.rrd:temps9:AVERAGE \
+#LINE1:temps9#4e9a06:"Temperatur aussen\n" \
+
+rrdtool graph web/gas_1tag.png \
+-w 800 -h 500 \
+-s 'now - 1 day' -e 'now' \
+--title "Gasverbrauch im Tagesverlauf" \
+--font TITLE:12 --vertical-label="Liter/Stunde" \
+DEF:gas=gas.rrd:gas:AVERAGE \
+CDEF:gash=gas,120,* \
+VDEF:gastotal=gas,TOTAL \
+GPRINT:gastotal:"Total %6.0lf Liter Gas" \
+LINE2:gash#c17d11:"Gasverbrauch"
+
+rrdtool graph web/gas_1woche.png \
+-w 800 -h 500 \
+-s 'now - 1 week' -e 'now' \
+--title "Gasverbrauch im Wochenverlauf" \
+--font TITLE:12 --vertical-label="Liter/Tag" \
+DEF:gas=gas.rrd:gas:AVERAGE \
+CDEF:gasd=gas,2880,* \
+VDEF:gastotal=gas,TOTAL \
+GPRINT:gastotal:"Total %6.0lf Liter Gas" \
+LINE2:gasd#c17d11:"Gasverbrauch/Tag"
+
+rrdtool graph web/gas_1monat.png \
+-w 800 -h 500 \
+-s 'now - 1 month' -e 'now' \
+--title "Gasverbrauch im Monatsverlauf" \
+--font TITLE:12 --vertical-label="Liter/Tag" \
+DEF:gas=gas.rrd:gas:AVERAGE \
+CDEF:gasd=gas,2880,* \
+VDEF:gastotal=gas,TOTAL \
+GPRINT:gastotal:"Total %6.0lf Liter Gas" \
+LINE2:gasd#c17d11:"Gasverbrauch/Tag"
+
+rrdtool graph web/gas_1jahr.png \
+-w 800 -h 500 \
+-s 'now - 1 year' -e 'now' \
+--title "Gasverbrauch im Jahresverlauf" \
+--font TITLE:12 --vertical-label="Liter/Tag" \
+DEF:gas=gas.rrd:gas:AVERAGE \
+CDEF:gasd=gas,2880,* \
+VDEF:gastotal=gas,TOTAL \
+GPRINT:gastotal:"Total %6.0lf Liter Gas" \
+LINE2:gasd#c17d11:"Gasverbrauch/Tag"
+
+
+
+rrdtool graph web/consum_1day.png   -s 'now -1 day' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"
+rrdtool graph web/consum_1week.png   -s 'now -1 week' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"
+rrdtool graph web/consum_1month.png   -s 'now -1 month' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"
+rrdtool graph web/consum_1year.png   -s 'now -1 year' -e 'now'   -Y -A   DEF:consum=power.rrd:consum:AVERAGE   LINE2:consum#00FF00:"Verbrauch [W]"
+
+rrdtool graph web/counter_1week.png   -s 'now -1 week' -e 'now'   -X 0 -Y -A   DEF:counter=power.rrd:counter:LAST   LINE2:counter#000000:"ZÃ€hlerstand [kWh]"
+rrdtool graph web/counter_1month.png   -s 'now -1 month' -e 'now'   -X 0 -Y -A   DEF:counter=power.rrd:counter:LAST   LINE2:counter#000000:"ZÃ€hlerstand [kWh]"
Index: de.wigbels.ruby/hothotread/archiv/hothotpiper.rb
===================================================================
--- de.wigbels.ruby/hothotread/archiv/hothotpiper.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/hothotpiper.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,56 @@
+#!/usr/bin/env ruby
+#
+# Author: Norbert Wigbels - foobla.wigbels.de/uber-foobla
+#
+# HotHotPiper continously reads the status of a
+# reed contact attached to the Raspberry Pi GPIO
+#
+# The reed measures gas usage.
+#
+# A magig URL is formed and called; the url
+# stores the sensor-data to wigbels.net
+#
+# todo: status-led
+# 
+
+#------------------------------------------
+# Tainted mode 0-4
+$SAFE=0
+
+#------------------------------------------
+require 'pi_piper'
+include PiPiper
+
+$mypath = File.expand_path(File.dirname(__FILE__))
+
+
+def last_rrd_count
+  val = 0.0
+  handle = IO.popen("rrdtool lastupdate #{$mypath}/power.rrd")
+  handle.each_line do |line|
+    m = line.match("^[0-9]*: ([0-9.]*) [0-9.]*")
+    if m
+      val = m[1].to_f
+      break
+    end
+  end
+  return val
+end
+
+
+watch :pin => 4, :trigger => :falling do 
+  puts('added 10 liter of gas to sensor-database')
+  system("rrdtool update #{$mypath}/gas.rrd N:10")
+end
+
+watch :pin => 11, :trigger => :falling  do
+  puts('updated power consumption')
+  $counter = $counter + $trigger_step
+  trigger_update = $trigger_step * 3600000.0
+  system("rrdtool update #{$mypath}/power.rrd N:#{$counter}:#{trigger_update}")
+end
+
+$trigger_step = 1.0 / 96
+$counter = last_rrd_count
+
+PiPiper.wait
Index: de.wigbels.ruby/hothotread/archiv/hothotpiper_gas.rb
===================================================================
--- de.wigbels.ruby/hothotread/archiv/hothotpiper_gas.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/hothotpiper_gas.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,42 @@
+#!/usr/bin/env ruby
+
+require 'pi_piper'
+include PiPiper
+
+mypath = File.expand_path(File.dirname(__FILE__))
+trigger_step = 0.01
+trigger_watch = 0
+counter = 0
+timestamp =  Time.now.to_i
+
+def last_rrd_count(concretepath)
+  val = 0.0
+  handle = IO.popen("rrdtool lastupdate #{concretepath}")
+  handle.each_line do |line|
+    m = line.match("^[0-9]*: ([0-9.]*) [0-9.]*")
+    if m
+      val = m[1].to_f
+      break
+    end
+  end
+  return val
+end
+
+
+watch :pin => 4, :trigger => :falling do 
+  puts('added 10 liter of gas to sensor-database')
+  system("rrdtool update #{mypath}/gas.rrd N:10")
+end
+
+rrdpath = mypath + "/gasneu.rrd"
+counter = last_rrd_count(rrdpath)
+#loop do
+# if trigger_watch == 1 then
+#  puts('trigger 1 detected')
+#  trigger_watch = 0
+# else
+#  puts('trigger 0 detected')
+# end
+# sleep(1)
+#end
+PiPiper.wait
Index: de.wigbels.ruby/hothotread/archiv/lastupdate.rb
===================================================================
--- de.wigbels.ruby/hothotread/archiv/lastupdate.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/lastupdate.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,14 @@
+def last_rrd_count
+  val = 0.0
+  handle = IO.popen("rrdtool lastupdate power.rrd")
+  handle.each_line do |line|
+    m = line.match("^[0-9]*: ([0-9.]*) [0-9.]*")
+    if m
+      val = m[1].to_f
+      break
+    end
+  end
+  return val
+end
+
+puts last_rrd_count
Index: de.wigbels.ruby/hothotread/archiv/test.rb
===================================================================
--- de.wigbels.ruby/hothotread/archiv/test.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/test.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,19 @@
+require 'pi_piper'
+include PiPiper
+
+trigger_watch = 0
+
+watch :pin => 11, :trigger => :falling  do
+  puts('trigger registered')
+  trigger_watch = 1
+end
+
+loop do
+ if trigger_watch == 1 then
+  puts('trigger 1 detected')
+  trigger_watch = 0
+ else
+  puts('trigger 0 detected')
+ end
+ sleep(5)
+end
Index: de.wigbels.ruby/hothotread/archiv/todo
===================================================================
--- de.wigbels.ruby/hothotread/archiv/todo	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/archiv/todo	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,4 @@
+http://www.blackberryforums.com/developer-forum/2730-persistant-tcp-connection.html
+
+nested retry
+restart
Index: de.wigbels.ruby/hothotread/daemon_run.rb
===================================================================
--- de.wigbels.ruby/hothotread/daemon_run.rb	(revision c22952c4202a07f37011af02109e36879aa94a21)
+++ 	(revision )
@@ -1,7 +1,0 @@
-#!/usr/bin/env ruby
-
-require 'rubygems'
-require 'daemons'
-
-mypath = File.expand_path(File.dirname(__FILE__))
-Daemons.run("#{mypath}/hothotpiper.rb")
Index: de.wigbels.ruby/hothotread/daemon_run_gas.rb
===================================================================
--- de.wigbels.ruby/hothotread/daemon_run_gas.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/daemon_run_gas.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,7 @@
+#!/usr/bin/env ruby
+
+require 'rubygems'
+require 'daemons'
+
+mypath = File.expand_path(File.dirname(__FILE__))
+Daemons.run("#{mypath}/hothotpiper_gas.rb")
Index: de.wigbels.ruby/hothotread/daemon_run_power.rb
===================================================================
--- de.wigbels.ruby/hothotread/daemon_run_power.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/daemon_run_power.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,7 @@
+#!/usr/bin/env ruby
+
+require 'rubygems'
+require 'daemons'
+
+mypath = File.expand_path(File.dirname(__FILE__))
+Daemons.run("#{mypath}/hothotpiper_power.rb")
Index: de.wigbels.ruby/hothotread/deploy
===================================================================
--- de.wigbels.ruby/hothotread/deploy	(revision c22952c4202a07f37011af02109e36879aa94a21)
+++ 	(revision )
@@ -1,1 +1,0 @@
-scp -P 2342 hothotread.rb root@192.168.14.7:/root/hothotread/hothotread.rb
Index: de.wigbels.ruby/hothotread/draw_graphs.sh
===================================================================
--- de.wigbels.ruby/hothotread/draw_graphs.sh	(revision c22952c4202a07f37011af02109e36879aa94a21)
+++ de.wigbels.ruby/hothotread/draw_graphs.sh	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -1,50 +1,11 @@
 #!/bin/bash 
-#DEF:temps9=../hotcoldrain/weather.rrd:temps9:AVERAGE \
-#LINE1:temps9#4e9a06:"Temperatur aussen\n" \
 
-rrdtool graph web/gas_1tag.png \
--w 800 -h 500 \
--s 'now - 1 day' -e 'now' \
---title "Gasverbrauch im Tagesverlauf" \
---font TITLE:12 --vertical-label="Liter/Stunde" \
-DEF:gas=gas.rrd:gas:AVERAGE \
-CDEF:gash=gas,120,* \
-VDEF:gastotal=gas,TOTAL \
-GPRINT:gastotal:"Total %6.0lf Liter Gas" \
-LINE2:gash#c17d11:"Gasverbrauch"
+rrdtool graph web/gas_1tag.png -s 'now - 1 day' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conph=consum,3600,* LINE2:conph#c17d11:mÂ³/h 
+rrdtool graph web/gas_1week.png -s 'now - 1 week' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conpd=consum,3600,*,24,* LINE2:conpd#c17d11:mÂ³/h 
+rrdtool graph web/gas_1month.png -s 'now - 1 month' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conpd=consum,3600,*,24,* LINE2:conpd#c17d11:mÂ³/h 
+rrdtool graph web/gas_1year.png -s 'now - 1 year' -e 'now' DEF:consum=gasneu.rrd:consum:AVERAGE CDEF:conpm=consum,3600,*,24,*,30,* LINE2:conpm#c17d11:mÂ³/h 
 
-rrdtool graph web/gas_1woche.png \
--w 800 -h 500 \
--s 'now - 1 week' -e 'now' \
---title "Gasverbrauch im Wochenverlauf" \
---font TITLE:12 --vertical-label="Liter/Tag" \
-DEF:gas=gas.rrd:gas:AVERAGE \
-CDEF:gasd=gas,2880,* \
-VDEF:gastotal=gas,TOTAL \
-GPRINT:gastotal:"Total %6.0lf Liter Gas" \
-LINE2:gasd#c17d11:"Gasverbrauch/Tag"
-
-rrdtool graph web/gas_1monat.png \
--w 800 -h 500 \
--s 'now - 1 month' -e 'now' \
---title "Gasverbrauch im Monatsverlauf" \
---font TITLE:12 --vertical-label="Liter/Tag" \
-DEF:gas=gas.rrd:gas:AVERAGE \
-CDEF:gasd=gas,2880,* \
-VDEF:gastotal=gas,TOTAL \
-GPRINT:gastotal:"Total %6.0lf Liter Gas" \
-LINE2:gasd#c17d11:"Gasverbrauch/Tag"
-
-rrdtool graph web/gas_1jahr.png \
--w 800 -h 500 \
--s 'now - 1 year' -e 'now' \
---title "Gasverbrauch im Jahresverlauf" \
---font TITLE:12 --vertical-label="Liter/Tag" \
-DEF:gas=gas.rrd:gas:AVERAGE \
-CDEF:gasd=gas,2880,* \
-VDEF:gastotal=gas,TOTAL \
-GPRINT:gastotal:"Total %6.0lf Liter Gas" \
-LINE2:gasd#c17d11:"Gasverbrauch/Tag"
-
+rrdtool graph web/gascounter_1week.png   -s 'now -1 week' -e 'now'   -X 0 -Y -A   DEF:counter=gasneu.rrd:counter:LAST   LINE2:counter#000000:"ZÃ€hlerstand [mÂ³]"
+rrdtool graph web/gascounter_1month.png   -s 'now -1 month' -e 'now'   -X 0 -Y -A   DEF:counter=gasneu.rrd:counter:LAST   LINE2:counter#000000:"ZÃ€hlerstand [mÂ³]"
 
 
Index: de.wigbels.ruby/hothotread/hothotpiper.rb
===================================================================
--- de.wigbels.ruby/hothotread/hothotpiper.rb	(revision c22952c4202a07f37011af02109e36879aa94a21)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/usr/bin/env ruby
-#
-# Author: Norbert Wigbels - foobla.wigbels.de/uber-foobla
-#
-# HotHotPiper continously reads the status of a
-# reed contact attached to the Raspberry Pi GPIO
-#
-# The reed measures gas usage.
-#
-# A magig URL is formed and called; the url
-# stores the sensor-data to wigbels.net
-#
-# todo: status-led
-# 
-
-#------------------------------------------
-# Tainted mode 0-4
-$SAFE=0
-
-#------------------------------------------
-require 'pi_piper'
-include PiPiper
-
-$mypath = File.expand_path(File.dirname(__FILE__))
-
-
-def last_rrd_count
-  val = 0.0
-  handle = IO.popen("rrdtool lastupdate #{$mypath}/power.rrd")
-  handle.each_line do |line|
-    m = line.match("^[0-9]*: ([0-9.]*) [0-9.]*")
-    if m
-      val = m[1].to_f
-      break
-    end
-  end
-  return val
-end
-
-
-watch :pin => 4, :trigger => :falling do 
-  puts('added 10 liter of gas to sensor-database')
-  system("rrdtool update #{$mypath}/gas.rrd N:10")
-end
-
-watch :pin => 11, :trigger => :falling  do
-  puts('updated power consumption')
-  $counter = $counter + $trigger_step
-  trigger_update = $trigger_step * 3600000.0
-  system("rrdtool update #{$mypath}/power.rrd N:#{$counter}:#{trigger_update}")
-end
-
-$trigger_step = 1.0 / 96
-$counter = last_rrd_count
-
-PiPiper.wait
Index: de.wigbels.ruby/hothotread/hothotpiper_gas.rb
===================================================================
--- de.wigbels.ruby/hothotread/hothotpiper_gas.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/hothotpiper_gas.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,47 @@
+#!/usr/bin/env ruby
+
+require 'pi_piper'
+include PiPiper
+
+mypath = File.expand_path(File.dirname(__FILE__))
+trigger_step = 0.01
+trigger_watch = 0
+counter = 0.0
+timestamp =  Time.now.to_i
+
+def last_rrd_count(concretepath)
+  val = 0.0
+  handle = IO.popen("rrdtool lastupdate #{concretepath}")
+  handle.each_line do |line|
+    m = line.match("^[0-9]*: ([0-9.]*) [0-9.]*")
+    if m
+      val = m[1].to_f
+      break
+    end
+  end
+  return val
+end
+
+watch :pin => 4, :trigger => :falling do 
+  puts('triggered watch to 1')
+  trigger_watch = 1
+end
+
+rrdpath = mypath + "/gasneu.rrd"
+counter = last_rrd_count(rrdpath)
+puts('Counter restored to: '+counter.to_s)
+
+loop do
+  if trigger_watch == 1 then
+    counter = counter + trigger_step
+    system("rrdtool update #{rrdpath} N:#{counter}:#{trigger_step}")
+    puts('Counter updated to: '+counter.to_s)
+    timestamp =  Time.now.to_i
+    trigger_watch = 0
+  elsif Time.now.to_i - timestamp > 3600
+    system("rrdtool update #{rrdpath} N:#{counter}:0")
+    timestamp = Time.now.to_i
+  end
+  sleep(1)
+end
+
Index: de.wigbels.ruby/hothotread/hothotpiper_power.rb
===================================================================
--- de.wigbels.ruby/hothotread/hothotpiper_power.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/hothotpiper_power.rb	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,31 @@
+require 'pi_piper'
+include PiPiper
+
+mypath = File.expand_path(File.dirname(__FILE__))
+trigger_step = 1.0 / 96
+counter = 0
+
+def last_rrd_count(concretepath)
+  val = 0.0
+  handle = IO.popen("rrdtool lastupdate #{concretepath}")
+  handle.each_line do |line|
+    m = line.match("^[0-9]*: ([0-9.]*) [0-9.]*")
+    if m
+      val = m[1].to_f
+      break
+    end
+  end
+  return val
+end
+
+
+watch :pin => 11, :trigger => :falling  do
+  puts('updated power consumption')
+  counter = counter + trigger_step
+  trigger_update = trigger_step * 3600000.0
+  system("rrdtool update #{mypath}/power.rrd N:#{counter}:#{trigger_update}")
+end
+
+rrdpath = mypath + "/power.rrd"
+counter = last_rrd_count(rrdpath)
+PiPiper.wait
Index: de.wigbels.ruby/hothotread/info/created_rrd_gasneu_through
===================================================================
--- de.wigbels.ruby/hothotread/info/created_rrd_gasneu_through	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
+++ de.wigbels.ruby/hothotread/info/created_rrd_gasneu_through	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -0,0 +1,1 @@
+rrdtool create gasneu.rrd --step 60 --no-overwrite DS:counter:GAUGE:86400:0:100000 DS:consum:ABSOLUTE:86400:0:1 RRA:LAST:0.5:1:4320 RRA:AVERAGE:0.5:1:4320 RRA:LAST:0.5:1440:30 RRA:AVERAGE:0.5:1440:30 RRA:LAST:0.5:10080:520 RRA:AVERAGE:0.5:10080:520
Index: de.wigbels.ruby/hothotread/lastupdate.rb
===================================================================
--- de.wigbels.ruby/hothotread/lastupdate.rb	(revision c22952c4202a07f37011af02109e36879aa94a21)
+++ 	(revision )
@@ -1,14 +1,0 @@
-def last_rrd_count
-  val = 0.0
-  handle = IO.popen("rrdtool lastupdate power.rrd")
-  handle.each_line do |line|
-    m = line.match("^[0-9]*: ([0-9.]*) [0-9.]*")
-    if m
-      val = m[1].to_f
-      break
-    end
-  end
-  return val
-end
-
-puts last_rrd_count
Index: de.wigbels.ruby/hothotread/todo
===================================================================
--- de.wigbels.ruby/hothotread/todo	(revision c22952c4202a07f37011af02109e36879aa94a21)
+++ 	(revision )
@@ -1,4 +1,0 @@
-http://www.blackberryforums.com/developer-forum/2730-persistant-tcp-connection.html
-
-nested retry
-restart
Index: de.wigbels.ruby/hothotread/web/index.html
===================================================================
--- de.wigbels.ruby/hothotread/web/index.html	(revision c22952c4202a07f37011af02109e36879aa94a21)
+++ de.wigbels.ruby/hothotread/web/index.html	(revision aeab9351f2b2317a55a55aa57eebc814d73abf96)
@@ -5,7 +5,9 @@
 <h2>Gas</h2>
 <img src="gas_1tag.png">
-<img src="gas_1woche.png">
-<img src="gas_1monat.png">
-<img src="gas_1jahr.png">
+<img src="gas_1week.png">
+<img src="gas_1month.png">
+<img src="gas_1year.png">
+<img src="gascounter_1week.png">
+<img src="gascounter_1month.png ">
 
 <h2>Strom</h2>
